<?php

require_once 'base/FpaFormferiasEntityBase.php';


/**
 * FpaFormferiasEntity.
 *
 * @package Entity
 *
 * @author  alessandrobartels 21/07/2011
 */
class FpaFormferiasEntity extends FpaFormferiasEntityBase
{


    /**
     * Retorna o id de retrocesso.
     *
     * @return boolean
     *
     * @see FpaFormcalculoEntityBase::getIdretrocesso()
     *
     * @author alessandrobartels - 28/12/2011
     */
    public function getIdretrocesso(){
        if (parent::getIdretrocesso() === self::IDRETROCESSO_S) {
            return true;
        } else {
            return false;
        }

    }


    /**
     * Retorna uma instancia de FpaFormferiasEntity.
     *
     * @param integer $nrOrg        Numero da organizacao de trabalho.
     * @param integer $nrFormulario Numero do formulario.
     *
     * @return null | FpaFormferiasEntity
     *
     * @author alessandrobartels - 27/12/2011
     */
    public function retornaDadosFormularioFerias($nrOrg, $nrFormulario) {

        $resultado = FpaFormferias::retornaDadosFormulario($nrOrg, $nrFormulario);
        if (is_object($resultado) === true) {
            return $resultado;
        }
    }


}

